Source: python-colormap
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colormap
Vcs-Git: https://salsa.debian.org/python-team/packages/python-colormap.git
Homepage: https://colormap.readthedocs.io/
Rules-Requires-Root: no

Package: python3-colormap
Architecture: all
Depends:
# not sure why these didn't get added by dh-sequence-python3
 python3-matplotlib,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
Description: ease manipulation of matplotlib colormaps and color codecs (Python 3)
 The colormap package provides simple utilities to convert colors between RGB,
 HEX, HLS, HUV and a class to easily build colormaps for matplotlib. All
 matplotlib colormaps and some R colormaps are available altogether. The
 plot_colormap method (see below) is handy to quickly pick up a colormaps and
 the test_colormap is useful to see test a new colormap.
 .
 This package installs the library for Python 3.
